/*
-------------------------------------------------------------------------------
    This file is a part of the Vst Preset Generator
    Copyright (C) 2007  Francois Mazen

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
-------------------------------------------------------------------------------
  Name: paramwidget.h
  Author: Francois Mazen
  Date: 28/05/07 16:25
  Description: header file of the ParamWidget class
-------------------------------------------------------------------------------
*/


#ifndef PARAMWIDGET_H
#define PARAMWIDGET_H

#include <QObject>
#include <QWidget>

class QWidget;
class QLabel;
class QRadioButton;
class QDoubleSpinBox;
class QHBoxLayout;

class ParamWidget : public QWidget
{
      Q_OBJECT

public:
       ParamWidget(qint32 num);
       
       
       
       float getMin();
       float getMax();
       
//signals:
        
private slots:
        void checkSpinBox();
        
private:
       QHBoxLayout *container;
       
       QLabel *lblValue;
       QLabel *lblMin;
       QLabel *lblMax;
       QLabel *lblParam;
       
       QRadioButton *rbtnConstant;
       QRadioButton *rbtnRandom;
       
       QDoubleSpinBox *spbxValue;
       QDoubleSpinBox *spbxMin;
       QDoubleSpinBox *spbxMax;
       
       

       
};

#endif //PARAMWIDGET_H
