/*
-------------------------------------------------------------------------------
    This file is a part of the Vst Preset Generator
    Copyright (C) 2007  Francois Mazen

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
-------------------------------------------------------------------------------
  Name: vpgxml.h
  Author: Francois Mazen
  Date: 28/05/07 16:25
  Description: header file of the VpgXml class
-------------------------------------------------------------------------------
*/


#ifndef VPGXML_H
#define VPGXML_H

#include <QObject>
#include <QAbstractListModel>
#include <QtXml\QDomDocument>

#include "fxheader.h"

class VpgXml : public QAbstractListModel
{
      Q_OBJECT
      
public:
       VpgXml(QWidget * t_parent = 0);
       
       //Qt model functions:
       QVariant data(const QModelIndex & index, int role ) const;
       QVariant headerData(int section, Qt::Orientation orientation, int role ) const;
       int rowCount(const QModelIndex & parent = QModelIndex() ) const;

       //Xml manipulations:
       void ReadFile(const char* filename);
       void WriteFile(const char* filename);
       void addVst(FxHeaderStruct* fxstruct);

signals:
        void validHeader(FxHeaderStruct* data);

public slots:
       void loadVst(const QModelIndex &index);
       
private:
       
       QWidget *w_parent; //parent widget
       QList<FxHeaderStruct*> dataList;
              
};
             


#endif //VPGXML_H
